Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.traceAnalysis.filter.visualization.graph
Class AbstractGraph<V extends AbstractVertex<V,E,O>,E extends AbstractEdge<V,E,O>,O>

    java.lang.Object
      kieker.tools.traceAnalysis.filter.visualization.graph.AbstractGraph<V,E,O>

Type Parameters:
  `V` - The type of the graph's vertices
  `E` - The type of the graph's edges
  `O` - The type of object from which the graph's elements originate

Direct Known Subclasses:
  AbstractDependencyGraph

    public abstract class AbstractGraph<V extends AbstractVertex<V,E,O>,E extends AbstractEdge<V,E,O>,O>

extends Object

Generic superclass for all graphs in the visualization package.

Since:
  1.6
Author:
  Holger Knoche

Nested Class Summary
`static interface` | `AbstractGraph.IGraphVisitor<V,E>` Interface for abstract-graph visitors.

Constructor Summary
`AbstractGraph()`

Method Summary
`abstract Collection<V>` | `getVertices()` Returns the vertices contained in this graph.
`void` | `traverse(AbstractGraph.IGraphVisitor<V,E> visitor)` Traverses this graph using the given visitor.
`void` | `traverseWithVerticesFirst(AbstractGraph.IGraphVisitor<V,E> visitor)` Traverses this graph using the given visitor.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractGraph

    public AbstractGraph()

Method Detail

### getVertices

    public abstract Collection<V> getVertices()

  Returns the vertices contained in this graph.

  Returns:
    See above

### traverse

    public void traverse(AbstractGraph.IGraphVisitor<V,E> visitor)

  Traverses this graph using the given visitor. Outgoing edges are traversed immediately after their owning node.

  Parameters:
    `visitor` - The visitor to call during traversal

### traverseWithVerticesFirst

    public void traverseWithVerticesFirst(AbstractGraph.IGraphVisitor<V,E> visitor)

  Traverses this graph using the given visitor. All vertices are visited before the first edge.

  Parameters:
    `visitor` - The visitor to call during traversal

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net